### Constructor

# Gtk ToggleButtonnew_with_label

#### Declaration [src]

    GtkWidget*
    gtk_toggle_button_new_with_label (
      const char* label
    )

#### Description [src]

Creates a new toggle button with a text label.

#### Parameters

`label`

  Type: `const char*`

  A string containing the message to be placed in the toggle button.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new toggle button.

The data is owned by the called function.